ipe::StringStream Class Reference
Ipe Base

`#include <ipebase.h>`

Inherits ipe::TellStream.

## Public Member Functions

| StringStream (String &string)
virtual void | putChar (char ch)
virtual void | putString (String s)
virtual void | putCString (const char *s)
virtual void | putRaw (const char *data, int size)
virtual long | tell () const
Public Member Functions inherited from ipe::Stream
virtual | ~Stream ()
virtual void | close ()
Stream & | operator<< (char ch)
Stream & | operator<< (const String &s)
Stream & | operator<< (const char *s)
Stream & | operator<< (int i)
Stream & | operator<< (double d)
void | putHexByte (char b)
void | putXmlString (String s)

## Detailed Description

Stream writing into an String.

## Constructor & Destructor Documentation

## StringStream()

StringStream::StringStream | ( | String & | string | ) |

Construct with string reference.

## Member Function Documentation

## putChar()

void StringStream::putChar | ( | char | ch | ) |

virtual

Output character.

Implements ipe::Stream.

## putString()

void StringStream::putString | ( | String | s | ) |

virtual

Output string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

## putCString()

void StringStream::putCString | ( | const char * | s | ) |

virtual

Output C string.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

## putRaw()

void StringStream::putRaw | ( | const char * | data,
|  | int | size )

virtual

Output raw character data.

Default implementation uses PutChar.

Reimplemented from ipe::Stream.

References ipe::size().

## tell()

long StringStream::tell | ( |  | ) | const

virtual

Implements ipe::TellStream.

References ipe::String::size().

The documentation for this class was generated from the following files:

- ipebase.h
- ipebase.cpp